---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id: []
      tier: FALLBACK_DEFAULT
      value: 0.06
    brdf:
      alpha_1:
        band_1: 0.22471407340022323
        band_11: 0.2528102947461334
        band_12: 0.15007957664350743
        band_2: 0.22471407340022323
        band_3: 0.31599051063343947
        band_4: 0.2235179356847871
        band_5: 0.2235179356847871
        band_6: 0.2235179356847871
        band_7: 0.4820635104592829
        band_8: 0.4820635104592829
        band_8a: 0.4820635104592829
      alpha_2:
        band_1: 0.19949104504009457
        band_11: 0.200946624478072
        band_12: 0.21784973258551732
        band_2: 0.19949104504009457
        band_3: 0.18654121660123024
        band_4: 0.20240996209345943
        band_5: 0.20240996209345943
        band_6: 0.20240996209345943
        band_7: 0.14915892762666624
        band_8: 0.14915892762666624
        band_8a: 0.14915892762666624
      id:
      - 0350cb68-47e6-5a00-b8d6-87e9dc5ffc27
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 11d6a227-f723-5b6c-8e62-f85e958cc0ee
      tier: DEFINITIVE
      value: 0.252
    water_vapour:
      id:
      - 53633bb8-afaa-57cb-b2a3-bb00d6256449
      tier: DEFINITIVE
      value: 6.3500000000000005
  id: 1a7a2b38-f7e9-4af2-afc8-b47f05409b3a
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 2010.7262060948447
      BAND-11: 244.7948391438639
      BAND-12: 83.72141144714384
      BAND-2: 2055.35970092169
      BAND-3: 1924.4611157158408
      BAND-4: 1571.322880785644
      BAND-5: 1450.53269004266
      BAND-6: 1323.61549895199
      BAND-7: 1211.6951594661757
      BAND-8: 1073.1624034474814
      BAND-8A: 978.6395061429802
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2022-01-30 01:11:34.990561Z
    atime: 2022-05-26 13:18:11Z
    ctime: 2022-01-30 05:44:24Z
    mtime: 2022-01-30 05:44:20Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2A_MSIL1C_20220130T010731_N0400_R045_T53LQC_20220130T033107.zip
  system_information:
    hostname: gadi-cpu-clx-0825.gadi.nci.org.au
    runtime_id: 4b103a9e-dcf6-11ec-8051-00000191fe80
    time_processed: 2022-05-26 13:18:12.088481Z
    uname: 'Linux gadi-cpu-clx-0825.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 7.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 3
  granule: S2A_OPER_MSI_L1C_TL_VGS4_20220130T033107_A034505_T53LQC_N04.00
  ref_date: '2013-07-28T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/102/071/LC81020712013209LGN00_B6.TIF
  residual:
    abs:
      x: 49.45
      xy: 54.36
      y: 22.57
    abs_iterative_mean:
      x: 49.41
      xy: 54.77
      y: 23.62
    cep90: 56.04
    iterative_mean:
      x: 49.41
      xy: 54.77
      y: 23.62
    iterative_stddev:
      x: 1.45
      xy: 3.83
      y: 3.54
    mean:
      x: 49.45
      xy: 54.36
      y: 22.57
    stddev:
      x: 3.52
      xy: 7.24
      y: 6.33
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 0.0
    cloud: 99.9999867286439
    cloud_shadow: 0.0
    snow: 1.3271356100344725e-05
    water: 0.0
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 0.0
    cloud: 100.0
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
